routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});
Route::get('/hotel-tarif', [App\Http\Controllers\DashboardController::class, 'index'])->name('list');
Route::get('/hotel/detail/{id}', [App\Http\Controllers\DashboardController::class, 'detail'])->name('hotel.detail');
Route::get('/list/reservasi', [App\Http\Controllers\DashboardController::class, 'list'])->name('reservasi.index');
Route::post('/reservasi', [App\Http\Controllers\DashboardController::class, 'reservasi'])->name('reservasi.store');
Route::get('data/reservasi', [App\Http\Controllers\DashboardController::class, 'getData'])->name('get.reservasi');
Route::delete('/reservasi/{id}', [App\Http\Controllers\DashboardController::class, 'destroy'])->name('reservasi.destroy');
Route::get('print/{nama}/{email}/{hp}/{in}/{out}/{kamar}/{tamu}/{id}', [App\Http\Controllers\DashboardController::class, 'print'])->name('reservasi.print');

Auth::routes();

Route::get('/home', [App\Http\Controllers\HotelController::class, 'index'])->name('home');
Route::resource('tipe', App\Http\Controllers\TipeKamarController::class);
Route::resource('kamar', App\Http\Controllers\KamarController::class);
Route::resource('hotel', App\Http\Controllers\HotelController::class);
Route::resource('nilai', App\Http\Controllers\NilaiController::class);
Route::get('data/tipe-kamar', [App\Http\Controllers\TipeKamarController::class, 'getData']);
Route::get('data/kamar', [App\Http\Controllers\KamarController::class, 'getData']);
Route::get('data/hotel', [App\Http\Controllers\HotelController::class, 'getData']);
Route::get('data/nilai', [App\Http\Controllers\NilaiController::class, 'getData']);

resources/views/admin/form/editkamar.blade.php
@extends('layouts.admin')

@section('title')
Kamar
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('kamar.index') }}">Kamar</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><strong>Form Edit Data Kamar</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('kamar.update', $kamar->id) }}">
                        @method('PATCH')
                        @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="id_tipe_kamar">Pilih Tipe</label>
                                <div class="col-md-9">
                                    <select class="form-control" id="id_tipe_kamar" name="id_tipe_kamar" required>
                                        @foreach($tipe as $key => $item)
                                        <option value="{{ $item->id }}" @php if ( $item->id == $kamar->id_tipe_kamar ) { echo 'selected="selected"'; } @endphp>{{ $item->tipe_kamar }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="nomor_kamar">No Kamar</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="nomor_kamar" type="text" name="nomor_kamar" value="{{ $kamar->nomor_kamar }}" autocomplete="nomor_kamar" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="lantai">Lantai</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="lantai" type="text" name="lantai" value="{{ $kamar->lantai }}" autocomplete="lantai" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="status">Status</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="status" type="text" name="status" value="{{ $kamar->status }}" autocomplete="status" required>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/form/editnilai.blade.php
@extends('layouts.admin')

@section('title')
Nilai
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('nilai.index') }}">Nilai</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-7">
                <div class="card">
                    <div class="card-header"><strong>Form Input Nilai Kriteria Hotel</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('nilai.update', $nilai->id) }}">
                    @method('PATCH')
                    @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_hotel">Hotel / Tipe / Kamar</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_hotel" name="id_hotel" required>
                                        <option value="{{ $nilai->hotel->id }}">{{ $nilai->hotel->nama_hotel . ' / ' . $nilai->hotel->kamar->tipe->tipe_kamar . ' / ' . $nilai->hotel->kamar->nomor_kamar }}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_jarak">Kriteria Jarak</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_jarak" name="id_jarak" required>
                                        @foreach($jarak as $key => $item)
                                        <option value="{{ $item->id }}" @php if ( $item->id == $nilai->id_jarak ) { echo 'selected="selected"'; } @endphp>{{ $item->nama }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_harga">Kriteria Harga</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_harga" name="id_harga" required>
                                        @foreach($harga as $key => $item)
                                        <option value="{{ $item->id }}" @php if ( $item->id == $nilai->id_harga ) { echo 'selected="selected"'; } @endphp>{{ $item->nama }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_fasilitas">Kriteria Fasilitas</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_fasilitas" name="id_fasilitas" required>
                                        @foreach($fasilitas as $key => $item)
                                        <option value="{{ $item->id }}" @php if ( $item->id == $nilai->id_fasilitas ) { echo 'selected="selected"'; } @endphp>{{ $item->nama }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/form/edittipekamar.blade.php
@extends('layouts.admin')

@section('title')
Tipe Kamar
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('tipe.index') }}">Tipe Kamar</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><strong>Form Edit Data Tipe Kamar</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('tipe.update', $tipe->id) }}" enctype="multipart/form-data">
                        @method('PATCH')
                        @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="tipe_kamar">Tipe Kamar</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="tipe_kamar" type="text" name="tipe_kamar" placeholder="Masukkan Tipe.." autocomplete="tipe_kamar" value="{{ $tipe->tipe_kamar }}" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="deskripsi">Deskripsi</label>
                                <div class="col-md-9">
                                    <textarea class="form-control" id="deskripsi" name="deskripsi" rows="5" placeholder="Deskripsi.." required>{{ $tipe->deskripsi }}</textarea>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="fotos[]">Foto 1</label>
                                <div class="col-md-9">
                                    <input type="file" id="fotos[]" name="fotos[]" accept="image/*">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="fasilitas_kamar">Fasilitas Kamar</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="fasilitas_kamar" type="text" name="fasilitas_kamar" placeholder="Masukkan Fasilitas.." autocomplete="fasilitas_kamar" value="{{ $tipe->fasilitas_kamar }}" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="harga">Harga</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="harga" type="number" name="harga" step="0.01" value="{{ number_format($tipe->harga, 2) }}" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="jumlah">Jumlah</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="jumlah" type="number" name="jumlah" value="{{ $tipe->jumlah }}" required>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/form/simpanhotel.blade.php
@extends('layouts.admin')

@section('title')
Hotel
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('hotel.index') }}">Hotel</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><strong>Form Input Data Hotel</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('hotel.store') }}">
                    @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="id_kelurahan">Pilih Kelurahan</label>
                                <div class="col-md-9">
                                    <select class="form-control" id="id_kelurahan" name="id_kelurahan" required>
                                        @foreach($kelurahan as $key => $item)
                                        <option value="{{ $item->id }}">{{ $item->nama_kecamatan }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="id_kamar">Pilih Kamar</label>
                                <div class="col-md-9">
                                    <select class="form-control" id="id_kamar" name="id_kamar" required>
                                        @foreach($kamar as $key => $item)
                                        <option value="{{ $item->id }}">{{ $item->tipe->tipe_kamar }} / {{ $item->nomor_kamar }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="nama_hotel">Nama Hotel</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="nama_hotel" type="text" name="nama_hotel" placeholder="Masukkan Nama.." autocomplete="nama_hotel" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="jenis_hotel">Jenis Hotel</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="jenis_hotel" type="text" name="jenis_hotel" placeholder="Jenis.." autocomplete="jenis_hotel" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="bank">Nama Bank</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="bank" type="text" name="bank" placeholder="Masukkan Nama Bank.." autocomplete="bank" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="norek">No Rekening</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="norek" type="text" name="norek" placeholder="Masukkan No Rekening.." autocomplete="norek" required>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/form/simpankamar.blade.php
@extends('layouts.admin')

@section('title')
Kamar
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('kamar.index') }}">Kamar</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><strong>Form Input Data Kamar</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('kamar.store') }}">
                    @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="id_tipe_kamar">Pilih Tipe</label>
                                <div class="col-md-9">
                                    <select class="form-control" id="id_tipe_kamar" name="id_tipe_kamar" required>
                                        @foreach($tipe as $key => $item)
                                        <option value="{{ $item->id }}">{{ $item->tipe_kamar }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="nomor_kamar">No Kamar</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="nomor_kamar" type="text" name="nomor_kamar" placeholder="Masukkan No.." autocomplete="nomor_kamar" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="lantai">Lantai</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="lantai" type="text" name="lantai" placeholder="Lantai.." autocomplete="lantai" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="status">Status</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="status" type="text" name="status" placeholder="Status.." autocomplete="status" required>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/form/simpannilai.blade.php
@extends('layouts.admin')

@section('title')
Nilai
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('nilai.index') }}">Nilai</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-7">
                <div class="card">
                    <div class="card-header"><strong>Form Input Nilai Kriteria Hotel</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('nilai.store') }}">
                    @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_hotel">Hotel / Tipe / Kamar</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_hotel" name="id_hotel" required>
                                        <option value="{{ $hotel->id }}">{{ $hotel->nama_hotel . ' / ' . $hotel->kamar->tipe->tipe_kamar . ' / ' . $hotel->kamar->nomor_kamar }}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_jarak">Kriteria Jarak</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_jarak" name="id_jarak" required>
                                        @foreach($jarak as $key => $item)
                                        <option value="{{ $item->id }}">{{ $item->nama }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_harga">Kriteria Harga</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_harga" name="id_harga" required>
                                        @foreach($harga as $key => $item)
                                        <option value="{{ $item->id }}">{{ $item->nama }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-5 col-form-label" for="id_fasilitas">Kriteria Fasilitas</label>
                                <div class="col-md-7">
                                    <select class="form-control" id="id_fasilitas" name="id_fasilitas" required>
                                        @foreach($fasilitas as $key => $item)
                                        <option value="{{ $item->id }}">{{ $item->nama }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection

resources/views/admin/form/simpantipekamar.blade.php
@extends('layouts.admin')

@section('title')
Tipe Kamar
@endsection

@section('subheader')
<li class="breadcrumb-item">Dashboard</li>
<li class="breadcrumb-item" active><a href="{{ route('tipe.index') }}">Tipe Kamar</a></li>
@endsection

@section('content')
<div class="container-fluid">
    <div class="fade-in">
        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header"><strong>Form Input Data Tipe Kamar</strong></div>
                    <form class="form-horizontal" method="POST" action="{{ route('tipe.store') }}" enctype="multipart/form-data">
                    @csrf
                        <div class="card-body">
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="tipe_kamar">Tipe Kamar</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="tipe_kamar" type="text" name="tipe_kamar" placeholder="Masukkan Tipe.." autocomplete="tipe_kamar" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="deskripsi">Deskripsi</label>
                                <div class="col-md-9">
                                    <textarea class="form-control" id="deskripsi" name="deskripsi" rows="5" placeholder="Deskripsi.." required></textarea>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="fotos[]">Foto 1</label>
                                <div class="col-md-9">
                                    <input type="file" id="fotos[]" name="fotos[]" accept="image/*" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="fotos[]">Foto 2</label>
                                <div class="col-md-9">
                                    <input type="file" id="fotos[]" name="fotos[]" accept="image/*" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="fotos[]">Foto 3</label>
                                <div class="col-md-9">
                                    <input type="file" id="fotos[]" name="fotos[]" accept="image/*" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="fasilitas_kamar">Fasilitas Kamar</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="fasilitas_kamar" type="text" name="fasilitas_kamar" placeholder="Masukkan Fasilitas.." autocomplete="fasilitas_kamar" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="harga">Harga</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="harga" type="number" name="harga" step="0.01" required>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 col-form-label" for="jumlah">Jumlah</label>
                                <div class="col-md-9">
                                    <input class="form-control" id="jumlah" type="number" name="jumlah" required>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <button class="btn btn-sm btn-primary" type="submit"> Simpan</button>
                            <button class="btn btn-sm btn-danger" type="reset"> Reset</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /.row-->
    </div>
</div>
@endsection